# xfstestsdb

Store, view, and manage the results from the
[xfstests](https://git.kernel.org/pub/scm/fs/xfs/xfstests-dev.git/)
filesystem test suite.

## Basic Usage

Start by creating a new run in the database using the
[xfstestsdb new](https://git.nowheycreamery.com/anna/xfstestsdb/wiki/xfstestsdb-new)
command, passing a name for your test device.

```
$ xfstestsdb new /dev/vdb1
created run #1 with test device '/dev/vdb1'
```

Now run xfstests, making sure you request an xunit report.
```
(xfstests-dev) $ ./check -R xunit
```

And add the generated xunit file to xfstestsdb using
[xfstestsdb read](https://git.nowheycreamery.com/anna/xfstestsdb/wiki/xfstestsdb-read)
passing the run number given by `xfstestsdb new`
```
$ xfstestsdb xunit read 1 result.xunit
Created run #1 'result' with 567 tests
```

Now you can use the commands
[xfstestsdb show](https://git.nowheycreamery.com/anna/xfstestsdb/wiki/xfstestsdb-read),
[xfstestsdb testcase list](https://git.nowheycreamery.com/anna/xfstestsdb/wiki/xfstestsdb-testcase-list),
and
[xfstestsdb testcase show](https://git.nowheycreamery.com/anna/xfstestsdb/wiki/xfstestsdb-testcase-show)
to view the results.

See the [wiki](https://git.nowheycreamery.com/anna/xfstestsdb/wiki)
for more commands and detailed usage.